# Usa la imagen oficial de Odoo 18
FROM odoo:18.0

# Establece la variable de entorno para el archivo de configuración
ENV ODOO_RC /etc/odoo/odoo.conf

# Copia el archivo de configuración de Odoo al contenedor
COPY odoo.conf /etc/odoo/odoo.conf

# Opcional: Cambia los permisos del archivo de configuración
USER root
RUN chown odoo:odoo /etc/odoo/odoo.conf
USER odoo

# El CMD por defecto de la imagen de Odoo usará ODOO_RC
# y los parámetros del docker-compose para iniciar.
# No es necesario sobreescribir el CMD si pasamos las variables correctas.
